Skip to main content
POST
/
chat
/
archiveChat
/
{instance}
Archive Chat
curl --request POST \
  --url https://api.zapthinker.com/chat/archiveChat/{instance} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "lastMessage": {
    "key": {
      "remoteJid": "<string>",
      "fromMe": true,
      "id": "<string>"
    }
  },
  "archive": true,
  "chat": "<string>"
}
'
{
  "chatId": "553198296801@s.whatsapp.net",
  "archived": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

Your authorization key header

Path Parameters

instance
string
required

Name of the instance

Body

application/json
lastMessage
object
required

Messages to be mark as read

archive
boolean
required

Whether to archive the chat or not

chat
string
required

remoteJid here

Response

201 - application/json

Created

chatId
string

The ID of the chat.

archived
boolean

Indicates whether the chat is archived.